Subject: ELM patches: IMAP, RELM

From: [email-masked]
Date: 11 Jul 1995 15:29:27 GMT

Wolfgang Friebel sent me mail about an available IMAP patch for Elm. It links
against the C-Client code in the PINE distribution, and is available as:

patch only		ftp.ifh.de:/pub/ftp/unix/mail/elm_imap.patch.tar.gz
ELM with patch applied	ftp.ifh.de:/pub/ftp/unix/mail/elm_imap-2.4.24.tar.gz

Perhaps this can be incorporated into Elm 2.5?

On a related subject, I have hacked on Elm 2.4pl23 to provide reasonably
secure behavior when run as "relm" instead of "elm". If there's a chance
that these changes could be incorporated into 2.5 (they're really pretty
minor, just adds a global 'restricted' variable and wraps several blocks
with if(!restricted) { ... }) then I'll take the time to make a patch file
and post/mail it.]

When run as "relm" it has the following slightly unconventional behavior:

	* reads global configuration from relmrc instead of elmrc
	* Does NOT create/use a personal elmrc or .elm directory, and thus
	  users running "relm" can't change/save the configuration.
	* Does allow users to save messages to files, most administrators
	  would probably want to disable this- make it a config. option?
	* Change folder is disabled since the command allows shell escapes
	* all pipe/shell and external viewer commands are disabled

I'm sorry, but I don't have the time to clean it up and make patches for a
few people, but I'm willing to put in the time for changes that can be
incorporated in the next release.
-- 
Kevin Kadow